Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.groupware
Interface ITask

All Superinterfaces:
  IGroupwareItem, IItem, com.compoze.collab.messaging.IMessagingItem, java.io.Serializable

All Known Subinterfaces:
  IExchangeTask

public interface ITask
extends IGroupwareItem

Represents a task in the groupware schema.

Field Summary
`static ItemClass` | `CLASS` The item class of `ITask`.
`static Key` | `DATE_COMPLETED` Key that represents the date completed.
`static Key` | `DUE_DATE` Key that represents the due date for a task.
`static Key` | `IS_RECURRING` Key that represents the recurring flag of a task.
`static int` | `KEYID_DATE_COMPLETED` The `int` ID for the `DATE_COMPLETED` key.
`static int` | `KEYID_DUE_DATE` The `int` ID for the `DUE_DATE` key.
`static int` | `KEYID_IS_RECURRING` The `int` ID for the `IS_RECURRING` key.
`static int` | `KEYID_START_DATE` The `int` ID for the `START_DATE` key.
`static int` | `KEYID_STATUS` The `int` ID for the `STATUS` key.
`static Key` | `START_DATE` Key that represents the start date of a task.
`static Key` | `STATUS` Key that represents the task status.

Fields inherited from interface com.compoze.collab.groupware.IGroupwareItem
`CATEGORIES, DATE_CREATED, DATE_LAST_MODIFIED, IMPORTANCE, KEYID_CATEGORIES, KEYID_DATE_CREATED, KEYID_DATE_LAST_MODIFIED, KEYID_IMPORTANCE, KEYID_SIZE, KEYID_SUBJECT, SIZE, SUBJECT`

Fields inherited from interface com.compoze.collab.messaging.IMessagingItem
`BODY, BODY_HTML, KEYID_BODY, KEYID_BODY_HTML`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Method Summary
`java.util.Date` | `getDateCompleted()` Gets the date completed.
`java.util.Date` | `getDueDate()` Gets the due date.
`java.util.Date` | `getStartDate()` Gets the date the task starts.
`TaskStatus` | `getStatus()` Gets the status of the task.
`boolean` | `isRecurring()` Gets whether a task is recurring.
`void` | `markComplete(boolean bComplete, boolean bSend, boolean bSaveInSent)` Marks the task as complete.
`void` | `setDateCompleted(java.util.Date dateCompleted)` Sets the date completed.
`void` | `setDueDate(java.util.Date dueDate)` Sets the date that the task is due.
`void` | `setDueDate(int iMonth, int iDay, int iYear)` Sets the date parameters that the task is due.
`void` | `setStartDate(java.util.Date startDate)` Sets the date that the task starts.
`void` | `setStartDate(int iMonth, int iDay, int iYear)` Sets the date parameters that the task starts.
`void` | `setStatus(TaskStatus status)` Sets the status of the task.

Methods inherited from interface com.compoze.collab.groupware.IGroupwareItem
`getBodyHtml, getBodyHtml, getCategories, getDateCreated, getDateLastModified, getImportance, getNormalizedSubject, getSize, getSubject, getSubject, getSubjectPrefix, setBodyHtml, setCategories, setImportance, setSubject`

Methods inherited from interface com.compoze.collab.messaging.IMessagingItem
`getBody, setBody`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, copyTo, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, moveTo, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Field Detail

### KEYID_DUE_DATE

    public static final int KEYID_DUE_DATE

  The `int` ID for the `DUE_DATE` key.

  See Also:
    Constant Field Values

### KEYID_IS_RECURRING

    public static final int KEYID_IS_RECURRING

  The `int` ID for the `IS_RECURRING` key.

  See Also:
    Constant Field Values

### KEYID_START_DATE

    public static final int KEYID_START_DATE

  The `int` ID for the `START_DATE` key.

  See Also:
    Constant Field Values

### KEYID_STATUS

    public static final int KEYID_STATUS

  The `int` ID for the `STATUS` key.

  See Also:
    Constant Field Values

### KEYID_DATE_COMPLETED

    public static final int KEYID_DATE_COMPLETED

  The `int` ID for the `DATE_COMPLETED` key.

  See Also:
    Constant Field Values

### DUE_DATE

    public static final Key DUE_DATE

  Key that represents the due date for a task.

### IS_RECURRING

    public static final Key IS_RECURRING

  Key that represents the recurring flag of a task.

### START_DATE

    public static final Key START_DATE

  Key that represents the start date of a task.

### STATUS

    public static final Key STATUS

  Key that represents the task status.

### DATE_COMPLETED

    public static final Key DATE_COMPLETED

  Key that represents the date completed.

### CLASS

    public static final ItemClass CLASS

  The item class of `ITask`.

Method Detail

### setDueDate

    public void setDueDate(java.util.Date dueDate)
                    throws CollaborationException

  Sets the date that the task is due.

  Parameters:
    `dueDate` - the due date (`null` implies no due date).
  Throws:
    `CollaborationException` - if there was an error setting the due date

### setDueDate

    public void setDueDate(int iMonth,
                           int iDay,
                           int iYear)
                    throws CollaborationException

  Sets the date parameters that the task is due.

  Parameters:
    `iMonth` - the month of the year
    `iDay` - the day of the month
    `iYear` - the year
  Throws:
    `CollaborationException` - if there was an error setting the date parameters

### getDueDate

    public java.util.Date getDueDate()
                              throws CollaborationException

  Gets the due date.

  Returns:
    the due date
  Throws:
    `CollaborationException` - if there was an error getting the due date
  See Also:
    `setDueDate(Date)`

### setStartDate

    public void setStartDate(java.util.Date startDate)
                      throws CollaborationException

  Sets the date that the task starts.

  Parameters:
    `startDate` - the start date (`null` implies no start date).
  Throws:
    `CollaborationException` - if there was an error setting the start date

### setStartDate

    public void setStartDate(int iMonth,
                             int iDay,
                             int iYear)
                      throws CollaborationException

  Sets the date parameters that the task starts.

  Parameters:
    `iMonth` - the month of the year
    `iDay` - the day of the month
    `iYear` - the year
  Throws:
    `CollaborationException` - if there was an error setting the date parameters

### getStartDate

    public java.util.Date getStartDate()
                                throws CollaborationException

  Gets the date the task starts.

  Returns:
    the start date
  Throws:
    `CollaborationException` - if there was an error getting the start date
  See Also:
    `setStartDate(Date)`

### setStatus

    public void setStatus(TaskStatus status)
                   throws CollaborationException

  Sets the status of the task.

  Parameters:
    `status` - the status
  Throws:
    `CollaborationException` - if there was an error setting the status

### getStatus

    public TaskStatus getStatus()
                         throws CollaborationException

  Gets the status of the task.

  Returns:
    the status
  Throws:
    `CollaborationException` - if there was an error getting the status
  See Also:
    `setStatus(TaskStatus)`

### markComplete

    public void markComplete(boolean bComplete,
                             boolean bSend,
                             boolean bSaveInSent)
                      throws CollaborationException

  Marks the task as complete. This typically updates the underlying backend. This method may also set other properties as required by concrete implementations.

  Parameters:
    `bComplete` - `true` if the task is completed, `false`otherwise``
    `bSend` - `true` to send the status if needed
    `bSaveInSent` - if sending, `true` to save a copy
  Throws:
    `CollaborationException` - if there was an error updating the task

### isRecurring

    public boolean isRecurring()
                        throws CollaborationException

  Gets whether a task is recurring.

  Returns:
    `true` if a task is recurring, `false` otherwise.
  Throws:
    `CollaborationException` - if there was a problem retrieving the property for recurrence.

### setDateCompleted

    public void setDateCompleted(java.util.Date dateCompleted)
                          throws CollaborationException

  Sets the date completed.

  Parameters:
    `dateCompleted` - the date completed (`null` implies no completed date).
  Throws:
    `CollaborationException` - if there was an error setting the date completed

### getDateCompleted

    public java.util.Date getDateCompleted()
                                    throws CollaborationException

  Gets the date completed.

  Returns:
    the date completed
  Throws:
    `CollaborationException` - if there was an error getting the date completed
  See Also:
    `setDateCompleted(Date)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.